package projeto5;

import entidades.Filme;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import jpa.FilmeJpaController;
import jpa.exceptions.NonexistentEntityException;

public class Projeto5 {

    public static void main(String[] args) {

        EntityManagerFactory emf;
        emf = Persistence.createEntityManagerFactory("Projeto5PU");
    
        FilmeJpaController jFilme;
        jFilme = new FilmeJpaController(emf);
        
        Filme f;
        
        f = new Filme();
        f.setNome("Harry Potter");
        f.setDuracao(150);
        jFilme.create(f);
        
        f = new Filme();
        f.setNome("Senhor dos Aneis");
        f.setDuracao(170);
        jFilme.create(f);

        List<Filme> lista;
        lista = jFilme.findFilmeEntities();
        int i;
        for (i=0; i<lista.size(); i++) {
            f = lista.get(i);
            System.out.println(f);
        }

        f.setDuracao(200);
        try {
            jFilme.edit(f);
        } catch (NonexistentEntityException ex) {
            Logger.getLogger(Projeto5.class.getName()).log(Level.SEVERE, null, ex);
        } catch (Exception ex) {
            Logger.getLogger(Projeto5.class.getName()).log(Level.SEVERE, null, ex);
        }

        lista = jFilme.findFilmeEntities();
        for (i=0; i<lista.size(); i++) {
            f = lista.get(i);
            System.out.println(f);
        }
        
    }
}
